process-cpp: core::posix::backtrace::Frame Class Reference

process-cpp 3.0.0 A simple convenience library for handling processes in C++11.

Classes | Public Member Functions | Protected Member Functions | List of all members
core::posix::backtrace::Frame Class Referenceabstract

The Frame class models an individual frame of a backtrace. More...

`#include <backtrace.h>`

Inheritance diagram for core::posix::backtrace::Frame:
Collaboration diagram for core::posix::backtrace::Frame:

## Classes
class | Symbol
| The Symbol class models the symbolic representation of a frame pointer. More...

## Public Member Functions
| Frame (const Frame &)=delete
virtual | ~Frame ()=default
Frame & | operator= (const Frame &)=delete
virtual std::size_t | depth () const =0
| depth returns the depth of this frame in the overall backtrace. More...
virtual void * | frame_pointer () const =0
| frame_pointer returns the the raw frame pointer of this frame. More...
virtual const Symbol & | symbol () const =0
| symbol returns the symbolic representation of this frame. More...

## Protected Member Functions
| Frame ()=default

## Detailed Description

The Frame class models an individual frame of a backtrace.

Definition at line 37 of file backtrace.h.

## Constructor & Destructor Documentation

## ◆ Frame() [1/2]

core::posix::backtrace::Frame::Frame | ( | const Frame & |  | ) |
| delete

## ◆ ~Frame()

virtual core::posix::backtrace::Frame::~Frame | ( |  | ) |
| virtualdefault

## ◆ Frame() [2/2]

core::posix::backtrace::Frame::Frame | ( |  | ) |
| protecteddefault

## Member Function Documentation

## ◆ depth()

virtual std::size_t core::posix::backtrace::Frame::depth | ( |  | ) | const
| pure virtual

depth returns the depth of this frame in the overall backtrace.

Implemented in impl::Frame.

## ◆ frame_pointer()

virtual void* core::posix::backtrace::Frame::frame_pointer | ( |  | ) | const
| pure virtual

frame_pointer returns the the raw frame pointer of this frame.

Returns

Implemented in impl::Frame.

## ◆ operator=()

Frame& core::posix::backtrace::Frame::operator= | ( | const Frame & |  | ) |
| delete

## ◆ symbol()

virtual const Symbol& core::posix::backtrace::Frame::symbol | ( |  | ) | const
| pure virtual

symbol returns the symbolic representation of this frame.

Implemented in impl::Frame.

The documentation for this class was generated from the following file:

- /build/process-cpp/src/process-cpp-3.0.1/src/core/posix/backtrace.h